
Foreman - Bug #13940

Subnet creation with associated domains fails (hammer cli)

02/29/2016 04:13 AM - Alexandre Barth

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.11.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

hammer -u admin -p changeme subnet create --name DATA --network 192.168.0.0 --mask 255.255.255.0 --gateway 192.168.0.254

--dns-primary 192.168.1.1 --dns-secondary 192.168.1.2 --from 192.168.0.1 --to 192.168.0.253 --vlanid 2 --dhcp-id 1 --tftp-id 1

--domains foo.com

Could not create the subnet:

Subnet domains is invalid

Subnet domains is invalid

But this works :

hammer -u admin -p changeme subnet create --name DATA --network 192.168.0.0 --mask 255.255.255.0 --gateway 192.168.0.254

--dns-primary 192.168.1.1 --dns-secondary 192.168.1.2 --from 192.168.0.1 --to 192.168.0.253 --vlanid 2 --dhcp-id 1 --tftp-id 1

Subnet created

hammer -u admin -p changeme subnet update --name DATA --domains foo.com

Subnet updated

The first command used to work in foreman 1.10 and previous releases.

Related issues:

Is duplicate of Foreman - Bug #13711: Can't create new subnet with domain Closed 02/15/2016

History

#1 - 02/29/2016 04:18 AM - Dominic Cleal

- Is duplicate of Bug #13711: Can't create new subnet with domain added

#2 - 02/29/2016 04:19 AM - Dominic Cleal

- Status changed from New to Duplicate

Thanks for the report Alexandre.  We're tracking this under #13711 with a possible fix, but since you reported it's newly broken in 1.11, I've added it to

the release blockers.
